org #8000
run #8000

.start
	ld A,2
	call #BC0E

	ld HL,tst_txt
	call out_txt
.done
	jr done

.out_txt
	ld A,(HL)
	bit 7,A
	push AF
	and 127
	call #BB5A
	pop AF
	ret nz
	inc HL
	jr out_txt


.tst_txt
	db 7,28,0,1,1,29,1,1,28,1,26,26
	db "FDC/FS - Press F1 to setup",10,13
	db "booting........."
	db 10,13 OR 128